# Rate

<details>

<summary><a href="https://api.minical.io/v2/rates/update_rates">https://api.minical.io/v2/rates/update_rates</a>                                                                              Update Rates</summary>

This endpoint allows you to update rate of a rate plan.

**Parameter**

**Header**

X-API-KEY                            string         API key&#x20;

**Body**

rates/date\_start                       string        Start date

rates/date\_end                       string        End date

rates/adult\_1\_rate               number    Rate for 1 adult

rates/adult\_2\_rate               number    Rate for 2 adult

rates/adult\_3\_rate               number    Rate for 3 adult

rates/adult\_4\_rate               number    Rate for 4 adult

rates/additional\_adult\_rate   number   Rate for additional adults

rates/additional\_child\_rate    number   Rate for additional children

rates/minimum\_length\_of\_stay   integer  Stay for minimum number of nights

rates/maximum\_length\_of\_stay  integer  Stay for maximum number of nights

rates/closed\_to\_arrival                boolean    Arrival is closed for given dates (0 for open, 1 for close)

rates/closed\_to\_departure          boolean      Departure is closed for given dates (0 for open, 1 for close)       &#x20;

rates/can\_be\_sold\_online            boolean      1 for sell, 0 for not sell

rate\_plan\_id                                  integer        PMS Rate Plan ID

company\_id                                  integer        PMS Property ID

</details>

**Responses**

<details>

<summary><strong>200</strong>                                                                  Rate successfully updated.</summary>

```
{
    "status": "success"
}
```

</details>

<details>

<summary><strong>404</strong>  Could not find a rate matching this query.</summary>

```
{
    "status": false,
    "error": "Unknown method."
}
```

</details>

#### Request Body <a href="#request-body" id="request-body"></a>

```
{
    "company_id":"8490006340",
    "rate_plan_id":"168265",
    "rates":[
        {
            "date_start":"2020-07-05",
            "date_end":"2020-07-10",
            "adult_1_rate": "221.00",
            "adult_2_rate": "332.00",
            "adult_3_rate": "443.00",
            "adult_4_rate": "554.00",
            "additional_adult_rate": 155,
            "additional_child_rate": 266,
            "minimum_length_of_stay": "1",
            "maximum_length_of_stay": "10",
            "closed_to_arrival": "0",
            "closed_to_departure": "0",
            "can_be_sold_online": "1"
        },
        {
            "date_start":"2020-07-15",
            "date_end":"2020-07-20",
            "adult_1_rate": "22.00",
            "adult_2_rate": "32.00",
            "adult_3_rate": "43.00",
            "adult_4_rate": "54.00",
            "additional_adult_rate": 15,
            "additional_child_rate": 26,
            "minimum_length_of_stay": "1",
            "maximum_length_of_stay": "10",
            "closed_to_arrival": "0",
            "closed_to_departure": "0",
            "can_be_sold_online": "1"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.minical.io/minical-api/rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
